% Import gs30.mat as gs30 table variable

%% Subsetting in tables

gs30(:,2) %all the traditional subsetting things work!
gs30.NEE %subsetting by the column name!

dates=datevec(gs30.timestamp);

%step by step
gs30=[gs30, dates(:,1:5)]; %NOT GOOD! WILL NOT WORK! DIFFERENT FORMATS!
dates2=array2table(dates(:,1:5));
dates2.Properties.VariableNames={'year','month','day','hour','minute'}; %change names of columns
gs30=[gs30, dates2];

%in one line
gs30=[gs30, array2table(dates(:,1:5), 'VariableNames', {'year','month','day','hour','minute'})];

%Subsetting example
may=gs30(gs30.month==5, :);
mayNEE=gs30.NEE(gs30.month==5);

%% Plotting

plot(gs30.Ta)

plot(gs30.Ta(gs30.year==2015))


%2 separate figures
figure()
plot(gs30.Ta(gs30.year==2015))
figure()
plot(gs30.Ta(gs30.year==2016))

%both plots together
figure()
plot(gs30.Ta(gs30.year==2015))
hold all % could be removed in later versions of MATLAB! 
plot(gs30.Ta(gs30.year==2016))
plot(gs30.Ta(gs30.year==2014))

%both plots separately but on one figure: subplot(# of rows, # of columns, plot #)
figure()
subplot(2,2,1)
plot(gs30.Ta(gs30.year==2015))
subplot(2,2,2)
plot(gs30.Ta(gs30.year==2014))
subplot(2,2,3)
plot(gs30.Ta(gs30.year==2016))

figure()
subplot(1,2,1)
plot(gs30.Ta(gs30.year==2015))
subplot(1,2,2)
plot(gs30.Ta(gs30.year==2016))

%% 
%Timeseries plots

figure()
plot(gs30.timestamp(gs30.year==2015), gs30.Ta(gs30.year==2015))
datetick('x', 'dd/mm')

figure()
plot(gs30.timestamp(gs30.year==2015), gs30.Ta(gs30.year==2015))
datetick('x', 'dd/mm', 'keepticks') %adding additional ticks

%Scatter plots
ind=gs30.year==2015 & gs30.month==7; %save condition into separate variable

figure()
scatter(gs30.Ta(ind), gs30.NEE(ind), 'fill')

figure()
scatter(gs30.Ta(ind), gs30.NEE(ind), 32, gs30.Rg(ind), 'fill') %32 is size of the markers; markers will be colored by gs30.Rg
figure()
scatter(gs30.Ta(ind), gs30.NEE(ind), gs30.hour(ind)+1*20, gs30.Rg(ind), 'fill') %size of markers depends on gs30.hour and will be colored by gs30.Rg